Show / Hide Table of Contents

# Enum PluginLoadReason

This enum reflects reasons for loading a plugin.

###### Namespace: Dalamud.Plugin

###### Assembly: Dalamud.dll

##### Syntax

    public enum PluginLoadReason

### Fields

Name | Description
--- | ---
Boot | This plugin was loaded because the game was started or Dalamud was reinjected.
Installer | This plugin was loaded because it was installed with the plugin installer.
Unknown | We don't know why this plugin was loaded.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()